import { IPublicApiCommonUI, IPublicTypeContextMenuAction } from '@alilc/lowcode-types';
import { HelpTip, IEditor, Tip as InnerTip, Title as InnerTitle } from '@alilc/lowcode-editor-core';
import { Balloon, Breadcrumb, Card, DatePicker, Dropdown, Form, Overlay, Pagination, Tab, Table, Upload } from '@alifd/next';
import { editorSymbol } from '../symbols';
import { ReactElement } from 'react';
export declare class CommonUI implements IPublicApiCommonUI {
    [editorSymbol]: IEditor;
    Balloon: typeof Balloon;
    Breadcrumb: typeof Breadcrumb;
    Button: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/button").ButtonProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/button/view/button").default, {}> & {
        Group: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/button").GroupProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/button/view/group").ButtonGroup, {}>;
    };
    Card: typeof Card;
    Checkbox: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<(import("@alifd/next/types/checkbox").CheckboxProps | (import("@alifd/next/types/checkbox").CheckboxProps & {
        children?: import("react").ReactNode;
    })) & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("react").Component<import("@alifd/next/types/checkbox").CheckboxProps, any, any>, {}> & {
        Group: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/checkbox").GroupProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
            getChildContext(): {
                __group__: boolean;
                onChange: (currentValue: import("@alifd/next/types/checkbox").ValueItem, event: import("react").ChangeEvent<HTMLInputElement>) => void;
                selectedValue: import("@alifd/next/types/checkbox").ValueItem[];
                disabled: boolean;
            };
            onChange(currentValue: import("@alifd/next/types/checkbox").ValueItem, event: import("react").ChangeEvent<HTMLInputElement>): void;
            render(): import("react").JSX.Element;
            context: any;
            setState<K extends "value">(state: import("@alifd/next/types/checkbox/types").GroupState | ((prevState: Readonly<import("@alifd/next/types/checkbox/types").GroupState>, props: Readonly<import("@alifd/next/types/checkbox").GroupProps>) => import("@alifd/next/types/checkbox/types").GroupState | Pick<import("@alifd/next/types/checkbox/types").GroupState, K>) | Pick<import("@alifd/next/types/checkbox/types").GroupState, K>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/checkbox").GroupProps> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<import("@alifd/next/types/checkbox/types").GroupState>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/checkbox").GroupProps>, nextState: Readonly<import("@alifd/next/types/checkbox/types").GroupState>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/checkbox").GroupProps>, prevState: Readonly<import("@alifd/next/types/checkbox/types").GroupState>): any;
            componentDidUpdate?(prevProps: Readonly<import("@alifd/next/types/checkbox").GroupProps>, prevState: Readonly<import("@alifd/next/types/checkbox/types").GroupState>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/checkbox").GroupProps>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/checkbox").GroupProps>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/checkbox").GroupProps>, nextState: Readonly<import("@alifd/next/types/checkbox/types").GroupState>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/checkbox").GroupProps>, nextState: Readonly<import("@alifd/next/types/checkbox/types").GroupState>, nextContext: any): void;
        }, {}>;
    };
    DatePicker: typeof DatePicker;
    Dialog: any;
    Dropdown: typeof Dropdown;
    Form: typeof Form;
    Icon: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/icon").IconProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/icon/icon").default, {}> & {
        _typeMark: string;
        createFromIconfontCN: typeof import("@alifd/next/types/icon/icon-font").default;
    };
    Input: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">> & {
        TextArea: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/input").TextAreaProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/textarea").default, Pick<import("@alifd/next/types/input/textarea").default, "focus" | "getInputNode">>;
        Group: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/input").GroupProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
            render(): import("react").JSX.Element;
            context: any;
            setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<import("@alifd/next/types/input").GroupProps>) => {} | Pick<{}, K>) | Pick<{}, K>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/input").GroupProps> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/input").GroupProps>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/input").GroupProps>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<import("@alifd/next/types/input").GroupProps>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/input").GroupProps>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/input").GroupProps>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/input").GroupProps>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/input").GroupProps>, nextState: Readonly<{}>, nextContext: any): void;
        }, {}>;
        Password: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/input").PasswordProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/password").default, Pick<import("@alifd/next/types/input/password").default, "focus" | "getInputNode">>;
    };
    Loading: any;
    Message: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/message").MessageProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/message").MessageProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
        state: {
            visible: boolean;
        };
        onClose: () => void;
        render(): import("react").JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<import("@alifd/next/types/message").MessageProps>) => {} | Pick<{}, K>) | Pick<{}, K>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<import("@alifd/next/types/message").MessageProps> & Readonly<{
            children?: import("react").ReactNode;
        }>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/message").MessageProps>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/message").MessageProps>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<import("@alifd/next/types/message").MessageProps>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/message").MessageProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/message").MessageProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/message").MessageProps>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/message").MessageProps>, nextState: Readonly<{}>, nextContext: any): void;
    }>, {}> & {
        help: (config: any) => void;
        hide: () => void;
        show: (config: any) => void;
        open: (config: any) => {
            key: string;
            close: () => void;
        };
        close: (key?: string) => void;
        warning: (config: any) => void;
        error: (config: any) => void;
        loading: (config: any) => void;
        success: (config: any) => void;
        config: (config: Partial<{
            top: number;
            maxCount: number;
            duration: number;
        }>) => void;
        notice: (config: any) => void;
        destory: () => void;
        withContext: <P extends import("@alifd/next/types/message/toast").WithContextMessageProps, C>(WrappedComponent: import("react").JSXElementConstructor<P> & C) => (props: JSX.LibraryManagedAttributes<C, Omit<P, "contextMessage">>) => import("react").JSX.Element;
    };
    Overlay: typeof Overlay;
    Pagination: typeof Pagination;
    Radio: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/radio").RadioProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/radio/types").WrappedRadio, {}> & {
        Group: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/radio").GroupProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/radio/radio-group").RadioGroup, {}>;
    };
    Search: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/search").SearchProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
        highlightKey: unknown;
        inputRef: {
            isInputing: boolean;
            componentDidUpdate(prevProps: import("@alifd/next/types/select").AutoCompleteProps): void;
            shouldControlPopup(props: Readonly<import("@alifd/next/types/select").AutoCompleteProps> & Readonly<{
                children?: import("react").ReactNode;
            }>, type: import("@alifd/next/types/select").VisibleChangeType): void;
            handleMenuSelect(keys: string[]): void;
            handleItemClick(): void;
            handleSelectEvent(key: string, item: import("@alifd/next/types/select").ObjectItem, triggerType: import("@alifd/next/types/select").VisibleChangeType): void;
            handleChange: (value: string, proxy: import("@alifd/next/types/select").VisibleChangeType | import("react").ChangeEvent<HTMLElement>, item?: import("@alifd/next/types/select").ObjectItem) => false;
            handleVisibleChange(visible: boolean, type: import("@alifd/next/types/select").VisibleChangeType): void;
            beforeClose(): void;
            handleTriggerKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
            chooseHighlightItem(): false;
            hasClear(): boolean | "";
            renderSelect(props?: Readonly<import("@alifd/next/types/select").AutoCompleteProps> & Readonly<{
                children?: import("react").ReactNode;
            }>): import("react").JSX.Element;
            render(): import("react").JSX.Element;
            dataStore: import("@alifd/next/types/select/data-store").default;
            selectDOM: HTMLElement;
            width: string | number;
            popupRef: HTMLDivElement;
            resizeTimeout: number;
            highlightTimer: number;
            menuRef: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/menu").MenuProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/menu/view/menu").Menu>;
            isAutoComplete: boolean;
            inputRef: import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>;
            valueDataSource: {
                value?: string | number | boolean | (string | number | boolean)[];
                valueDS?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[];
                mapValueDS?: Record<string, import("@alifd/next/types/select").ObjectItem>;
            };
            componentDidMount(): void;
            componentWillUnmount(): void;
            syncWidth(): void;
            handleResize(): void;
            setDataSource(props: import("@alifd/next/types/select").AutoCompleteProps): import("@alifd/next/types/select/types").NormalizedObjectItem[];
            setVisible(visible: boolean, type?: import("@alifd/next/types/select").VisibleChangeType): void;
            setFirstHightLightKeyForMenu(searchValue?: unknown): void;
            handleMenuBodyClick(): void;
            toggleHighlightItem(dir: number): false | import("@alifd/next/types/select/types").NormalizedObjectItem;
            scrollMenuIntoView(): void;
            renderMenuHeader(): import("react").ReactNode;
            handleSelect(): void;
            handleMouseDown: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            useDetailValue(): boolean;
            renderMenu(): import("react").JSX.Element;
            renderMenuItem(dataSource: import("@alifd/next/types/select/types").NormalizedObjectItem[]): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            saveSelectRef: (ref: HTMLElement) => void;
            saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>> & Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">) => void;
            focusInput(): void;
            focus(start?: number, end?: number, preventScroll?: boolean): void;
            beforeOpen(): void;
            afterClose(): void;
            savePopupRef: (ref: HTMLDivElement) => void;
            shouldAutoWidth(): boolean;
            context: any;
            setState<K extends keyof import("@alifd/next/types/select/auto-complete").AutoCompleteState>(state: import("@alifd/next/types/select/auto-complete").AutoCompleteState | ((prevState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, props: Readonly<import("@alifd/next/types/select").AutoCompleteProps>) => import("@alifd/next/types/select/auto-complete").AutoCompleteState | Pick<import("@alifd/next/types/select/auto-complete").AutoCompleteState, K>) | Pick<import("@alifd/next/types/select/auto-complete").AutoCompleteState, K>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/select").AutoCompleteProps> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, nextContext: any): boolean;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, prevState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, nextContext: any): void;
        };
        onChange: (value: string, actionType: string, item?: import("@alifd/next/types/select").ObjectItem) => void;
        onPressEnter: () => void;
        onSearch: () => void;
        onFilterChange: (filterValue: string) => void;
        onToggleHighlightItem: (highlightKey?: string | boolean | import("@alifd/next/types/select/types").NormalizedObjectItem, type?: import("@alifd/next/types/select/types").HighlightChangeType) => void;
        onKeyDown: (e: import("react").KeyboardEvent<Element>) => void;
        saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/select").AutoCompleteProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
            isInputing: boolean;
            componentDidUpdate(prevProps: import("@alifd/next/types/select").AutoCompleteProps): void;
            shouldControlPopup(props: Readonly<import("@alifd/next/types/select").AutoCompleteProps> & Readonly<{
                children?: import("react").ReactNode;
            }>, type: import("@alifd/next/types/select").VisibleChangeType): void;
            handleMenuSelect(keys: string[]): void;
            handleItemClick(): void;
            handleSelectEvent(key: string, item: import("@alifd/next/types/select").ObjectItem, triggerType: import("@alifd/next/types/select").VisibleChangeType): void;
            handleChange: (value: string, proxy: import("@alifd/next/types/select").VisibleChangeType | import("react").ChangeEvent<HTMLElement>, item?: import("@alifd/next/types/select").ObjectItem) => false;
            handleVisibleChange(visible: boolean, type: import("@alifd/next/types/select").VisibleChangeType): void;
            beforeClose(): void;
            handleTriggerKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
            chooseHighlightItem(): false;
            hasClear(): boolean | "";
            renderSelect(props?: Readonly<import("@alifd/next/types/select").AutoCompleteProps> & Readonly<{
                children?: import("react").ReactNode;
            }>): import("react").JSX.Element;
            render(): import("react").JSX.Element;
            dataStore: import("@alifd/next/types/select/data-store").default;
            selectDOM: HTMLElement;
            width: string | number;
            popupRef: HTMLDivElement;
            resizeTimeout: number;
            highlightTimer: number;
            menuRef: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/menu").MenuProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/menu/view/menu").Menu>;
            isAutoComplete: boolean;
            inputRef: import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>;
            valueDataSource: {
                value?: string | number | boolean | (string | number | boolean)[];
                valueDS?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[];
                mapValueDS?: Record<string, import("@alifd/next/types/select").ObjectItem>;
            };
            componentDidMount(): void;
            componentWillUnmount(): void;
            syncWidth(): void;
            handleResize(): void;
            setDataSource(props: import("@alifd/next/types/select").AutoCompleteProps): import("@alifd/next/types/select/types").NormalizedObjectItem[];
            setVisible(visible: boolean, type?: import("@alifd/next/types/select").VisibleChangeType): void;
            setFirstHightLightKeyForMenu(searchValue?: unknown): void;
            handleMenuBodyClick(): void;
            toggleHighlightItem(dir: number): false | import("@alifd/next/types/select/types").NormalizedObjectItem;
            scrollMenuIntoView(): void;
            renderMenuHeader(): import("react").ReactNode;
            handleSelect(): void;
            handleMouseDown: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            useDetailValue(): boolean;
            renderMenu(): import("react").JSX.Element;
            renderMenuItem(dataSource: import("@alifd/next/types/select/types").NormalizedObjectItem[]): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            saveSelectRef: (ref: HTMLElement) => void;
            saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>> & Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">) => void;
            focusInput(): void;
            focus(start?: number, end?: number, preventScroll?: boolean): void;
            beforeOpen(): void;
            afterClose(): void;
            savePopupRef: (ref: HTMLDivElement) => void;
            shouldAutoWidth(): boolean;
            context: any;
            setState<K_1 extends keyof import("@alifd/next/types/select/auto-complete").AutoCompleteState>(state: import("@alifd/next/types/select/auto-complete").AutoCompleteState | ((prevState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, props: Readonly<import("@alifd/next/types/select").AutoCompleteProps>) => import("@alifd/next/types/select/auto-complete").AutoCompleteState | Pick<import("@alifd/next/types/select/auto-complete").AutoCompleteState, K_1>) | Pick<import("@alifd/next/types/select/auto-complete").AutoCompleteState, K_1>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/select").AutoCompleteProps> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, nextContext: any): boolean;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, prevState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, nextContext: any): void;
        }>) => void;
        focus: (start?: number, end?: number, preventScroll?: boolean) => void;
        handleFocus(args_0: import("react").FocusEvent<HTMLInputElement, Element>): void;
        handleBlur(args_0: import("react").FocusEvent<HTMLInputElement, Element>): void;
        render(): import("react").JSX.Element;
        context: any;
        setState<K_1 extends keyof import("@alifd/next/types/search/Search").SearchState>(state: import("@alifd/next/types/search/Search").SearchState | ((prevState: Readonly<import("@alifd/next/types/search/Search").SearchState>, props: Readonly<import("@alifd/next/types/search").SearchProps>) => import("@alifd/next/types/search/Search").SearchState | Pick<import("@alifd/next/types/search/Search").SearchState, K_1>) | Pick<import("@alifd/next/types/search/Search").SearchState, K_1>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<import("@alifd/next/types/search").SearchProps> & Readonly<{
            children?: import("react").ReactNode;
        }>;
        state: Readonly<import("@alifd/next/types/search/Search").SearchState>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/search").SearchProps>, nextState: Readonly<import("@alifd/next/types/search/Search").SearchState>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/search").SearchProps>, prevState: Readonly<import("@alifd/next/types/search/Search").SearchState>): any;
        componentDidUpdate?(prevProps: Readonly<import("@alifd/next/types/search").SearchProps>, prevState: Readonly<import("@alifd/next/types/search/Search").SearchState>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/search").SearchProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/search").SearchProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/search").SearchProps>, nextState: Readonly<import("@alifd/next/types/search/Search").SearchState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/search").SearchProps>, nextState: Readonly<import("@alifd/next/types/search/Search").SearchState>, nextContext: any): void;
    }, {}>;
    Select: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/select").SelectProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
        selectAllYet: boolean;
        componentDidUpdate(prevProps: import("@alifd/next/types/select").SelectProps, prevState: import("@alifd/next/types/select/base").BaseState): void;
        componentDidMount(): void;
        ie9Hack(): void;
        useDetailValue(): boolean;
        hasSearch(): boolean;
        getTagSize(): "small" | "medium" | "large";
        handleMenuSelect(keys: string[], item: {
            props: {
                _key: string;
            };
        }): false | void;
        handleItemClick(key: string): void;
        handleSingleSelect(key: string, triggerType: import("@alifd/next/types/select").VisibleChangeType): void;
        handleMultipleSelect(keys: import("@alifd/next/types/select").DataSourceItem[], triggerType: import("@alifd/next/types/select").VisibleChangeType, key?: string, keepSearchValue?: boolean): void;
        updateSelectAllYet(value?: unknown): void;
        handleSearchValue(value: string): void;
        handleSearch(value: string, e: import("react").ChangeEvent<HTMLInputElement>): void;
        handleSearchClear(triggerType?: string): void;
        handleSearchKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
        chooseMultipleItem(key: string): void;
        chooseHighlightItem(proxy: unknown, e: import("react").UIEvent<HTMLElement, UIEvent>): false;
        handleTagClose(item: import("@alifd/next/types/select").ObjectItem): boolean;
        handleDeleteTag(e: import("react").UIEvent<HTMLElement, UIEvent>): false;
        handleSelectAll(e: import("react").UIEvent<HTMLElement, UIEvent>): void;
        handleVisibleChange(visible: boolean, type: import("@alifd/next/types/select").VisibleChangeType): void;
        afterClose(): void;
        maxTagPlaceholder(selectedValues: import("@alifd/next/types/select").ObjectItem[], totalValues: import("@alifd/next/types/select").ObjectItem[]): string;
        renderValues(): import("react").ReactNode;
        handleWrapClick: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
        handleArrowClick: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
        handleClear: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
        hasClear(): boolean;
        renderExtraNode(): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
        renderSelect(): import("react").JSX.Element;
        renderSearchInput(valueNodes: import("react").ReactNode, placeholder: string, inputEl: ReactElement<any, string | import("react").JSXElementConstructor<any>>): import("react").JSX.Element;
        renderMenuHeader(): import("react").ReactNode;
        render(): import("react").JSX.Element;
        dataStore: import("@alifd/next/types/select/data-store").default;
        selectDOM: HTMLElement;
        width: string | number;
        popupRef: HTMLDivElement;
        resizeTimeout: number;
        highlightTimer: number;
        menuRef: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/menu").MenuProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/menu/view/menu").Menu>;
        isAutoComplete: boolean;
        inputRef: import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>;
        valueDataSource: {
            value?: string | number | boolean | (string | number | boolean)[];
            valueDS?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[];
            mapValueDS?: Record<string, import("@alifd/next/types/select").ObjectItem>;
        };
        componentWillUnmount(): void;
        syncWidth(): void;
        handleResize(): void;
        setDataSource(props: import("@alifd/next/types/select").SelectProps): import("@alifd/next/types/select/types").NormalizedObjectItem[];
        setVisible(visible: boolean, type?: import("@alifd/next/types/select").VisibleChangeType): void;
        setFirstHightLightKeyForMenu(searchValue?: unknown): void;
        handleChange(value: import("@alifd/next/types/select").DataSourceItem | import("@alifd/next/types/select").DataSourceItem[], args_0: unknown, args_1?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[]): void;
        handleMenuBodyClick(): void;
        toggleHighlightItem(dir: number): false | import("@alifd/next/types/select/types").NormalizedObjectItem;
        scrollMenuIntoView(): void;
        handleSelect(): void;
        handleMouseDown: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
        renderMenu(): import("react").JSX.Element;
        renderMenuItem(dataSource: import("@alifd/next/types/select/types").NormalizedObjectItem[]): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
        saveSelectRef: (ref: HTMLElement) => void;
        saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>> & Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">) => void;
        focusInput(): void;
        focus(start?: number, end?: number, preventScroll?: boolean): void;
        beforeOpen(): void;
        beforeClose(): void;
        savePopupRef: (ref: HTMLDivElement) => void;
        shouldAutoWidth(): boolean;
        context: any;
        setState<K extends keyof import("@alifd/next/types/select/select").SelectState>(state: import("@alifd/next/types/select/select").SelectState | ((prevState: Readonly<import("@alifd/next/types/select/select").SelectState>, props: Readonly<import("@alifd/next/types/select").SelectProps>) => import("@alifd/next/types/select/select").SelectState | Pick<import("@alifd/next/types/select/select").SelectState, K>) | Pick<import("@alifd/next/types/select/select").SelectState, K>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<import("@alifd/next/types/select").SelectProps> & Readonly<{
            children?: import("react").ReactNode;
        }>;
        state: Readonly<import("@alifd/next/types/select/select").SelectState>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/select").SelectProps>, prevState: Readonly<import("@alifd/next/types/select/select").SelectState>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
    }, Pick<{
        selectAllYet: boolean;
        componentDidUpdate(prevProps: import("@alifd/next/types/select").SelectProps, prevState: import("@alifd/next/types/select/base").BaseState): void;
        componentDidMount(): void;
        ie9Hack(): void;
        useDetailValue(): boolean;
        hasSearch(): boolean;
        getTagSize(): "small" | "medium" | "large";
        handleMenuSelect(keys: string[], item: {
            props: {
                _key: string;
            };
        }): false | void;
        handleItemClick(key: string): void;
        handleSingleSelect(key: string, triggerType: import("@alifd/next/types/select").VisibleChangeType): void;
        handleMultipleSelect(keys: import("@alifd/next/types/select").DataSourceItem[], triggerType: import("@alifd/next/types/select").VisibleChangeType, key?: string, keepSearchValue?: boolean): void;
        updateSelectAllYet(value?: unknown): void;
        handleSearchValue(value: string): void;
        handleSearch(value: string, e: import("react").ChangeEvent<HTMLInputElement>): void;
        handleSearchClear(triggerType?: string): void;
        handleSearchKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
        chooseMultipleItem(key: string): void;
        chooseHighlightItem(proxy: unknown, e: import("react").UIEvent<HTMLElement, UIEvent>): false;
        handleTagClose(item: import("@alifd/next/types/select").ObjectItem): boolean;
        handleDeleteTag(e: import("react").UIEvent<HTMLElement, UIEvent>): false;
        handleSelectAll(e: import("react").UIEvent<HTMLElement, UIEvent>): void;
        handleVisibleChange(visible: boolean, type: import("@alifd/next/types/select").VisibleChangeType): void;
        afterClose(): void;
        maxTagPlaceholder(selectedValues: import("@alifd/next/types/select").ObjectItem[], totalValues: import("@alifd/next/types/select").ObjectItem[]): string;
        renderValues(): import("react").ReactNode;
        handleWrapClick: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
        handleArrowClick: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
        handleClear: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
        hasClear(): boolean;
        renderExtraNode(): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
        renderSelect(): import("react").JSX.Element;
        renderSearchInput(valueNodes: import("react").ReactNode, placeholder: string, inputEl: ReactElement<any, string | import("react").JSXElementConstructor<any>>): import("react").JSX.Element;
        renderMenuHeader(): import("react").ReactNode;
        render(): import("react").JSX.Element;
        dataStore: import("@alifd/next/types/select/data-store").default;
        selectDOM: HTMLElement;
        width: string | number;
        popupRef: HTMLDivElement;
        resizeTimeout: number;
        highlightTimer: number;
        menuRef: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/menu").MenuProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/menu/view/menu").Menu>;
        isAutoComplete: boolean;
        inputRef: import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>;
        valueDataSource: {
            value?: string | number | boolean | (string | number | boolean)[];
            valueDS?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[];
            mapValueDS?: Record<string, import("@alifd/next/types/select").ObjectItem>;
        };
        componentWillUnmount(): void;
        syncWidth(): void;
        handleResize(): void;
        setDataSource(props: import("@alifd/next/types/select").SelectProps): import("@alifd/next/types/select/types").NormalizedObjectItem[];
        setVisible(visible: boolean, type?: import("@alifd/next/types/select").VisibleChangeType): void;
        setFirstHightLightKeyForMenu(searchValue?: unknown): void;
        handleChange(value: import("@alifd/next/types/select").DataSourceItem | import("@alifd/next/types/select").DataSourceItem[], args_0: unknown, args_1?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[]): void;
        handleMenuBodyClick(): void;
        toggleHighlightItem(dir: number): false | import("@alifd/next/types/select/types").NormalizedObjectItem;
        scrollMenuIntoView(): void;
        handleSelect(): void;
        handleMouseDown: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
        renderMenu(): import("react").JSX.Element;
        renderMenuItem(dataSource: import("@alifd/next/types/select/types").NormalizedObjectItem[]): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
        saveSelectRef: (ref: HTMLElement) => void;
        saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>> & Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">) => void;
        focusInput(): void;
        focus(start?: number, end?: number, preventScroll?: boolean): void;
        beforeOpen(): void;
        beforeClose(): void;
        savePopupRef: (ref: HTMLDivElement) => void;
        shouldAutoWidth(): boolean;
        context: any;
        setState<K_1 extends keyof import("@alifd/next/types/select/select").SelectState>(state: import("@alifd/next/types/select/select").SelectState | ((prevState: Readonly<import("@alifd/next/types/select/select").SelectState>, props: Readonly<import("@alifd/next/types/select").SelectProps>) => import("@alifd/next/types/select/select").SelectState | Pick<import("@alifd/next/types/select/select").SelectState, K_1>) | Pick<import("@alifd/next/types/select/select").SelectState, K_1>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<import("@alifd/next/types/select").SelectProps> & Readonly<{
            children?: import("react").ReactNode;
        }>;
        state: Readonly<import("@alifd/next/types/select/select").SelectState>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/select").SelectProps>, prevState: Readonly<import("@alifd/next/types/select/select").SelectState>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
    }, "focusInput" | "handleSearchClear">> & {
        AutoComplete: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/select").AutoCompleteProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
            isInputing: boolean;
            componentDidUpdate(prevProps: import("@alifd/next/types/select").AutoCompleteProps): void;
            shouldControlPopup(props: Readonly<import("@alifd/next/types/select").AutoCompleteProps> & Readonly<{
                children?: import("react").ReactNode;
            }>, type: import("@alifd/next/types/select").VisibleChangeType): void;
            handleMenuSelect(keys: string[]): void;
            handleItemClick(): void;
            handleSelectEvent(key: string, item: import("@alifd/next/types/select").ObjectItem, triggerType: import("@alifd/next/types/select").VisibleChangeType): void;
            handleChange: (value: string, proxy: import("@alifd/next/types/select").VisibleChangeType | import("react").ChangeEvent<HTMLElement>, item?: import("@alifd/next/types/select").ObjectItem) => false;
            handleVisibleChange(visible: boolean, type: import("@alifd/next/types/select").VisibleChangeType): void;
            beforeClose(): void;
            handleTriggerKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
            chooseHighlightItem(): false;
            hasClear(): boolean | "";
            renderSelect(props?: Readonly<import("@alifd/next/types/select").AutoCompleteProps> & Readonly<{
                children?: import("react").ReactNode;
            }>): import("react").JSX.Element;
            render(): import("react").JSX.Element;
            dataStore: import("@alifd/next/types/select/data-store").default;
            selectDOM: HTMLElement;
            width: string | number;
            popupRef: HTMLDivElement;
            resizeTimeout: number;
            highlightTimer: number;
            menuRef: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/menu").MenuProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/menu/view/menu").Menu>;
            isAutoComplete: boolean;
            inputRef: import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>;
            valueDataSource: {
                value?: string | number | boolean | (string | number | boolean)[];
                valueDS?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[];
                mapValueDS?: Record<string, import("@alifd/next/types/select").ObjectItem>;
            };
            componentDidMount(): void;
            componentWillUnmount(): void;
            syncWidth(): void;
            handleResize(): void;
            setDataSource(props: import("@alifd/next/types/select").AutoCompleteProps): import("@alifd/next/types/select/types").NormalizedObjectItem[];
            setVisible(visible: boolean, type?: import("@alifd/next/types/select").VisibleChangeType): void;
            setFirstHightLightKeyForMenu(searchValue?: unknown): void;
            handleMenuBodyClick(): void;
            toggleHighlightItem(dir: number): false | import("@alifd/next/types/select/types").NormalizedObjectItem;
            scrollMenuIntoView(): void;
            renderMenuHeader(): import("react").ReactNode;
            handleSelect(): void;
            handleMouseDown: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            useDetailValue(): boolean;
            renderMenu(): import("react").JSX.Element;
            renderMenuItem(dataSource: import("@alifd/next/types/select/types").NormalizedObjectItem[]): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            saveSelectRef: (ref: HTMLElement) => void;
            saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>> & Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">) => void;
            focusInput(): void;
            focus(start?: number, end?: number, preventScroll?: boolean): void;
            beforeOpen(): void;
            afterClose(): void;
            savePopupRef: (ref: HTMLDivElement) => void;
            shouldAutoWidth(): boolean;
            context: any;
            setState<K_1 extends keyof import("@alifd/next/types/select/auto-complete").AutoCompleteState>(state: import("@alifd/next/types/select/auto-complete").AutoCompleteState | ((prevState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, props: Readonly<import("@alifd/next/types/select").AutoCompleteProps>) => import("@alifd/next/types/select/auto-complete").AutoCompleteState | Pick<import("@alifd/next/types/select/auto-complete").AutoCompleteState, K_1>) | Pick<import("@alifd/next/types/select/auto-complete").AutoCompleteState, K_1>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/select").AutoCompleteProps> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, nextContext: any): boolean;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, prevState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").AutoCompleteProps>, nextState: Readonly<import("@alifd/next/types/select/auto-complete").AutoCompleteState>, nextContext: any): void;
        }, {}>;
        Option: typeof import("@alifd/next/types/select/option").default;
        OptionGroup: typeof import("@alifd/next/types/select/option-group").default;
        Combobox: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/select").SelectProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
            selectAllYet: boolean;
            componentDidUpdate(prevProps: import("@alifd/next/types/select").SelectProps, prevState: import("@alifd/next/types/select/base").BaseState): void;
            componentDidMount(): void;
            ie9Hack(): void;
            useDetailValue(): boolean;
            hasSearch(): boolean;
            getTagSize(): "small" | "medium" | "large";
            handleMenuSelect(keys: string[], item: {
                props: {
                    _key: string;
                };
            }): false | void;
            handleItemClick(key: string): void;
            handleSingleSelect(key: string, triggerType: import("@alifd/next/types/select").VisibleChangeType): void;
            handleMultipleSelect(keys: import("@alifd/next/types/select").DataSourceItem[], triggerType: import("@alifd/next/types/select").VisibleChangeType, key?: string, keepSearchValue?: boolean): void;
            updateSelectAllYet(value?: unknown): void;
            handleSearchValue(value: string): void;
            handleSearch(value: string, e: import("react").ChangeEvent<HTMLInputElement>): void;
            handleSearchClear(triggerType?: string): void;
            handleSearchKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
            chooseMultipleItem(key: string): void;
            chooseHighlightItem(proxy: unknown, e: import("react").UIEvent<HTMLElement, UIEvent>): false;
            handleTagClose(item: import("@alifd/next/types/select").ObjectItem): boolean;
            handleDeleteTag(e: import("react").UIEvent<HTMLElement, UIEvent>): false;
            handleSelectAll(e: import("react").UIEvent<HTMLElement, UIEvent>): void;
            handleVisibleChange(visible: boolean, type: import("@alifd/next/types/select").VisibleChangeType): void;
            afterClose(): void;
            maxTagPlaceholder(selectedValues: import("@alifd/next/types/select").ObjectItem[], totalValues: import("@alifd/next/types/select").ObjectItem[]): string;
            renderValues(): import("react").ReactNode;
            handleWrapClick: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            handleArrowClick: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
            handleClear: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
            hasClear(): boolean;
            renderExtraNode(): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            renderSelect(): import("react").JSX.Element;
            renderSearchInput(valueNodes: import("react").ReactNode, placeholder: string, inputEl: ReactElement<any, string | import("react").JSXElementConstructor<any>>): import("react").JSX.Element;
            renderMenuHeader(): import("react").ReactNode;
            render(): import("react").JSX.Element;
            dataStore: import("@alifd/next/types/select/data-store").default;
            selectDOM: HTMLElement;
            width: string | number;
            popupRef: HTMLDivElement;
            resizeTimeout: number;
            highlightTimer: number;
            menuRef: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/menu").MenuProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/menu/view/menu").Menu>;
            isAutoComplete: boolean;
            inputRef: import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>;
            valueDataSource: {
                value?: string | number | boolean | (string | number | boolean)[];
                valueDS?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[];
                mapValueDS?: Record<string, import("@alifd/next/types/select").ObjectItem>;
            };
            componentWillUnmount(): void;
            syncWidth(): void;
            handleResize(): void;
            setDataSource(props: import("@alifd/next/types/select").SelectProps): import("@alifd/next/types/select/types").NormalizedObjectItem[];
            setVisible(visible: boolean, type?: import("@alifd/next/types/select").VisibleChangeType): void;
            setFirstHightLightKeyForMenu(searchValue?: unknown): void;
            handleChange(value: import("@alifd/next/types/select").DataSourceItem | import("@alifd/next/types/select").DataSourceItem[], args_0: unknown, args_1?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[]): void;
            handleMenuBodyClick(): void;
            toggleHighlightItem(dir: number): false | import("@alifd/next/types/select/types").NormalizedObjectItem;
            scrollMenuIntoView(): void;
            handleSelect(): void;
            handleMouseDown: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            renderMenu(): import("react").JSX.Element;
            renderMenuItem(dataSource: import("@alifd/next/types/select/types").NormalizedObjectItem[]): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            saveSelectRef: (ref: HTMLElement) => void;
            saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>> & Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">) => void;
            focusInput(): void;
            focus(start?: number, end?: number, preventScroll?: boolean): void;
            beforeOpen(): void;
            beforeClose(): void;
            savePopupRef: (ref: HTMLDivElement) => void;
            shouldAutoWidth(): boolean;
            context: any;
            setState<K_2 extends keyof import("@alifd/next/types/select/select").SelectState>(state: import("@alifd/next/types/select/select").SelectState | ((prevState: Readonly<import("@alifd/next/types/select/select").SelectState>, props: Readonly<import("@alifd/next/types/select").SelectProps>) => import("@alifd/next/types/select/select").SelectState | Pick<import("@alifd/next/types/select/select").SelectState, K_2>) | Pick<import("@alifd/next/types/select/select").SelectState, K_2>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/select").SelectProps> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<import("@alifd/next/types/select/select").SelectState>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): boolean;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/select").SelectProps>, prevState: Readonly<import("@alifd/next/types/select/select").SelectState>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
        }, {}>;
    };
    SplitButton: any;
    Step: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/step").StepProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
        step: HTMLOListElement;
        componentDidMount(): void;
        componentDidUpdate(): void;
        componentWillUnmount(): void;
        adjustHeight(): void;
        resize(): void;
        _getValidChildren(children: import("react").ReactNode): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
        _stepRefHandler: (ref: HTMLOListElement) => void;
        render(): import("react").JSX.Element;
        context: any;
        setState<K extends keyof import("@alifd/next/types/step/types").StepState>(state: import("@alifd/next/types/step/types").StepState | ((prevState: Readonly<import("@alifd/next/types/step/types").StepState>, props: Readonly<import("@alifd/next/types/step").StepProps>) => import("@alifd/next/types/step/types").StepState | Pick<import("@alifd/next/types/step/types").StepState, K>) | Pick<import("@alifd/next/types/step/types").StepState, K>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<import("@alifd/next/types/step").StepProps> & Readonly<{
            children?: import("react").ReactNode;
        }>;
        state: Readonly<import("@alifd/next/types/step/types").StepState>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/step").StepProps>, nextState: Readonly<import("@alifd/next/types/step/types").StepState>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/step").StepProps>, prevState: Readonly<import("@alifd/next/types/step/types").StepState>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/step").StepProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/step").StepProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/step").StepProps>, nextState: Readonly<import("@alifd/next/types/step/types").StepState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/step").StepProps>, nextState: Readonly<import("@alifd/next/types/step/types").StepState>, nextContext: any): void;
    }, {}> & {
        Item: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/step").ItemProps<HTMLElement> & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
            ro: import("resize-observer-polyfill").default;
            container: HTMLDivElement;
            stepNode: HTMLDivElement;
            step: HTMLLIElement;
            body: HTMLDivElement;
            title: HTMLDivElement;
            tail: HTMLDivElement;
            eventHandler: {
                off: () => void;
            };
            componentDidMount(): void;
            componentDidUpdate(): void;
            componentWillUnmount(): void;
            adjustItemWidth(): void;
            adjustTail(): void;
            resize(): void;
            _getNode(): {} | ReactElement<any, string | import("react").JSXElementConstructor<any>>;
            getNode(args: {
                stepCls: string;
                overlayCls: {
                    width: string;
                };
                others: Omit<import("@alifd/next/types/step").ItemProps<HTMLElement>, "index" | "rtl" | "total" | "animation" | "content" | "direction" | "title" | "className" | "prefix" | "children" | "disabled" | "status" | "percent" | "stretch" | "icon" | "readOnly" | "shape" | "onClick" | "popupContainer" | "locale" | "pure" | "device" | "errorBoundary" | "warning" | "defaultPropsConfig" | "itemRender" | "onResize" | "labelPlacement" | "parentWidth" | "parentHeight">;
            }): import("react").JSX.Element;
            getStyle(): {
                width: string | number;
            };
            onClick: () => false;
            removeClickedCls(): void;
            _itemRender(index: number, status: import("@alifd/next/types/step/types").StepStatus): import("react").ReactNode;
            _refHandlerCreator<Name extends "body" | "title" | "container" | "step" | "tail" | "stepNode">(refName: Name): (ref: any) => void;
            render(): import("react").JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<import("@alifd/next/types/step").ItemProps<HTMLElement>>) => {} | Pick<{}, K_1>) | Pick<{}, K_1>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/step").ItemProps<HTMLElement>> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/step").ItemProps<HTMLElement>>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/step").ItemProps<HTMLElement>>, prevState: Readonly<{}>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/step").ItemProps<HTMLElement>>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/step").ItemProps<HTMLElement>>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/step").ItemProps<HTMLElement>>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/step").ItemProps<HTMLElement>>, nextState: Readonly<{}>, nextContext: any): void;
        }, {}>;
    };
    Switch: any;
    Tab: typeof Tab;
    Table: typeof Table;
    Tree: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/tree").TreeProps<import("@alifd/next/types/tree/types").FieldDataNode<{
        key: string;
        label?: import("react").ReactNode;
    }, "children">> & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/tree/view/tree").Tree, Pick<import("@alifd/next/types/tree/view/tree").Tree, "setFocusKey">> & {
        Node: typeof import("@alifd/next/types/tree/view/tree-node").TreeNode;
    };
    TreeSelect: import("@alifd/next/types/config-provider/types").ConfiguredComponentClass<import("@alifd/next/types/tree-select").TreeSelectProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
        tree: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/tree").TreeProps<import("@alifd/next/types/tree/types").FieldDataNode<{
            key: string;
            label?: import("react").ReactNode;
        }, "children">> & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/tree/view/tree").Tree> & Pick<import("@alifd/next/types/tree/view/tree").Tree, "setFocusKey">;
        select: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/select").SelectProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
            selectAllYet: boolean;
            componentDidUpdate(prevProps: import("@alifd/next/types/select").SelectProps, prevState: import("@alifd/next/types/select/base").BaseState): void;
            componentDidMount(): void;
            ie9Hack(): void;
            useDetailValue(): boolean;
            hasSearch(): boolean;
            getTagSize(): "small" | "medium" | "large";
            handleMenuSelect(keys: string[], item: {
                props: {
                    _key: string;
                };
            }): false | void;
            handleItemClick(key: string): void;
            handleSingleSelect(key: string, triggerType: import("@alifd/next/types/select").VisibleChangeType): void;
            handleMultipleSelect(keys: import("@alifd/next/types/select").DataSourceItem[], triggerType: import("@alifd/next/types/select").VisibleChangeType, key?: string, keepSearchValue?: boolean): void;
            updateSelectAllYet(value?: unknown): void;
            handleSearchValue(value: string): void;
            handleSearch(value: string, e: import("react").ChangeEvent<HTMLInputElement>): void;
            handleSearchClear(triggerType?: string): void;
            handleSearchKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
            chooseMultipleItem(key: string): void;
            chooseHighlightItem(proxy: unknown, e: import("react").UIEvent<HTMLElement, UIEvent>): false;
            handleTagClose(item: import("@alifd/next/types/select").ObjectItem): boolean;
            handleDeleteTag(e: import("react").UIEvent<HTMLElement, UIEvent>): false;
            handleSelectAll(e: import("react").UIEvent<HTMLElement, UIEvent>): void;
            handleVisibleChange(visible: boolean, type: import("@alifd/next/types/select").VisibleChangeType): void;
            afterClose(): void;
            maxTagPlaceholder(selectedValues: import("@alifd/next/types/select").ObjectItem[], totalValues: import("@alifd/next/types/select").ObjectItem[]): string;
            renderValues(): import("react").ReactNode;
            handleWrapClick: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            handleArrowClick: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
            handleClear: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
            hasClear(): boolean;
            renderExtraNode(): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            renderSelect(): import("react").JSX.Element;
            renderSearchInput(valueNodes: import("react").ReactNode, placeholder: string, inputEl: ReactElement<any, string | import("react").JSXElementConstructor<any>>): import("react").JSX.Element;
            renderMenuHeader(): import("react").ReactNode;
            render(): import("react").JSX.Element;
            dataStore: import("@alifd/next/types/select/data-store").default;
            selectDOM: HTMLElement;
            width: string | number;
            popupRef: HTMLDivElement;
            resizeTimeout: number;
            highlightTimer: number;
            menuRef: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/menu").MenuProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/menu/view/menu").Menu>;
            isAutoComplete: boolean;
            inputRef: import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>;
            valueDataSource: {
                value?: string | number | boolean | (string | number | boolean)[];
                valueDS?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[];
                mapValueDS?: Record<string, import("@alifd/next/types/select").ObjectItem>;
            };
            componentWillUnmount(): void;
            syncWidth(): void;
            handleResize(): void;
            setDataSource(props: import("@alifd/next/types/select").SelectProps): import("@alifd/next/types/select/types").NormalizedObjectItem[];
            setVisible(visible: boolean, type?: import("@alifd/next/types/select").VisibleChangeType): void;
            setFirstHightLightKeyForMenu(searchValue?: unknown): void;
            handleChange(value: import("@alifd/next/types/select").DataSourceItem | import("@alifd/next/types/select").DataSourceItem[], args_0: unknown, args_1?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[]): void;
            handleMenuBodyClick(): void;
            toggleHighlightItem(dir: number): false | import("@alifd/next/types/select/types").NormalizedObjectItem;
            scrollMenuIntoView(): void;
            handleSelect(): void;
            handleMouseDown: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            renderMenu(): import("react").JSX.Element;
            renderMenuItem(dataSource: import("@alifd/next/types/select/types").NormalizedObjectItem[]): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            saveSelectRef: (ref: HTMLElement) => void;
            saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>> & Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">) => void;
            focusInput(): void;
            focus(start?: number, end?: number, preventScroll?: boolean): void;
            beforeOpen(): void;
            beforeClose(): void;
            savePopupRef: (ref: HTMLDivElement) => void;
            shouldAutoWidth(): boolean;
            context: any;
            setState<K extends keyof import("@alifd/next/types/select/select").SelectState>(state: import("@alifd/next/types/select/select").SelectState | ((prevState: Readonly<import("@alifd/next/types/select/select").SelectState>, props: Readonly<import("@alifd/next/types/select").SelectProps>) => import("@alifd/next/types/select/select").SelectState | Pick<import("@alifd/next/types/select/select").SelectState, K>) | Pick<import("@alifd/next/types/select/select").SelectState, K>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/select").SelectProps> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<import("@alifd/next/types/select/select").SelectState>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): boolean;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/select").SelectProps>, prevState: Readonly<import("@alifd/next/types/select/select").SelectState>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
        }> & Pick<{
            selectAllYet: boolean;
            componentDidUpdate(prevProps: import("@alifd/next/types/select").SelectProps, prevState: import("@alifd/next/types/select/base").BaseState): void;
            componentDidMount(): void;
            ie9Hack(): void;
            useDetailValue(): boolean;
            hasSearch(): boolean;
            getTagSize(): "small" | "medium" | "large";
            handleMenuSelect(keys: string[], item: {
                props: {
                    _key: string;
                };
            }): false | void;
            handleItemClick(key: string): void;
            handleSingleSelect(key: string, triggerType: import("@alifd/next/types/select").VisibleChangeType): void;
            handleMultipleSelect(keys: import("@alifd/next/types/select").DataSourceItem[], triggerType: import("@alifd/next/types/select").VisibleChangeType, key?: string, keepSearchValue?: boolean): void;
            updateSelectAllYet(value?: unknown): void;
            handleSearchValue(value: string): void;
            handleSearch(value: string, e: import("react").ChangeEvent<HTMLInputElement>): void;
            handleSearchClear(triggerType?: string): void;
            handleSearchKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
            chooseMultipleItem(key: string): void;
            chooseHighlightItem(proxy: unknown, e: import("react").UIEvent<HTMLElement, UIEvent>): false;
            handleTagClose(item: import("@alifd/next/types/select").ObjectItem): boolean;
            handleDeleteTag(e: import("react").UIEvent<HTMLElement, UIEvent>): false;
            handleSelectAll(e: import("react").UIEvent<HTMLElement, UIEvent>): void;
            handleVisibleChange(visible: boolean, type: import("@alifd/next/types/select").VisibleChangeType): void;
            afterClose(): void;
            maxTagPlaceholder(selectedValues: import("@alifd/next/types/select").ObjectItem[], totalValues: import("@alifd/next/types/select").ObjectItem[]): string;
            renderValues(): import("react").ReactNode;
            handleWrapClick: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            handleArrowClick: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
            handleClear: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
            hasClear(): boolean;
            renderExtraNode(): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            renderSelect(): import("react").JSX.Element;
            renderSearchInput(valueNodes: import("react").ReactNode, placeholder: string, inputEl: ReactElement<any, string | import("react").JSXElementConstructor<any>>): import("react").JSX.Element;
            renderMenuHeader(): import("react").ReactNode;
            render(): import("react").JSX.Element;
            dataStore: import("@alifd/next/types/select/data-store").default;
            selectDOM: HTMLElement;
            width: string | number;
            popupRef: HTMLDivElement;
            resizeTimeout: number;
            highlightTimer: number;
            menuRef: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/menu").MenuProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/menu/view/menu").Menu>;
            isAutoComplete: boolean;
            inputRef: import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>;
            valueDataSource: {
                value?: string | number | boolean | (string | number | boolean)[];
                valueDS?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[];
                mapValueDS?: Record<string, import("@alifd/next/types/select").ObjectItem>;
            };
            componentWillUnmount(): void;
            syncWidth(): void;
            handleResize(): void;
            setDataSource(props: import("@alifd/next/types/select").SelectProps): import("@alifd/next/types/select/types").NormalizedObjectItem[];
            setVisible(visible: boolean, type?: import("@alifd/next/types/select").VisibleChangeType): void;
            setFirstHightLightKeyForMenu(searchValue?: unknown): void;
            handleChange(value: import("@alifd/next/types/select").DataSourceItem | import("@alifd/next/types/select").DataSourceItem[], args_0: unknown, args_1?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[]): void;
            handleMenuBodyClick(): void;
            toggleHighlightItem(dir: number): false | import("@alifd/next/types/select/types").NormalizedObjectItem;
            scrollMenuIntoView(): void;
            handleSelect(): void;
            handleMouseDown: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            renderMenu(): import("react").JSX.Element;
            renderMenuItem(dataSource: import("@alifd/next/types/select/types").NormalizedObjectItem[]): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            saveSelectRef: (ref: HTMLElement) => void;
            saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>> & Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">) => void;
            focusInput(): void;
            focus(start?: number, end?: number, preventScroll?: boolean): void;
            beforeOpen(): void;
            beforeClose(): void;
            savePopupRef: (ref: HTMLDivElement) => void;
            shouldAutoWidth(): boolean;
            context: any;
            setState<K_1 extends keyof import("@alifd/next/types/select/select").SelectState>(state: import("@alifd/next/types/select/select").SelectState | ((prevState: Readonly<import("@alifd/next/types/select/select").SelectState>, props: Readonly<import("@alifd/next/types/select").SelectProps>) => import("@alifd/next/types/select/select").SelectState | Pick<import("@alifd/next/types/select/select").SelectState, K_1>) | Pick<import("@alifd/next/types/select/select").SelectState, K_1>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/select").SelectProps> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<import("@alifd/next/types/select/select").SelectState>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): boolean;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/select").SelectProps>, prevState: Readonly<import("@alifd/next/types/select/select").SelectState>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
        }, "focusInput" | "handleSearchClear">;
        getKeysByValue(value: (string | number | boolean)[]): string[];
        getValueByKeys(keys: string[]): (string | number | boolean)[];
        getFullItemPath(item: import("@alifd/next/types/tree-select/types").DataNode): import("@alifd/next/types/tree-select/types").DataNode[];
        getValueForSelect(value: (string | number | boolean)[]): any[];
        getData(value: (string | number | boolean)[], forSelect?: boolean): import("@alifd/next/types/select").ObjectItem[];
        getNonExistentValues(): (string | number | boolean)[];
        getNonExistentValueKeys(): any[];
        saveTreeRef(ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/tree").TreeProps<import("@alifd/next/types/tree/types").FieldDataNode<{
            key: string;
            label?: import("react").ReactNode;
        }, "children">> & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/tree/view/tree").Tree> & Pick<import("@alifd/next/types/tree/view/tree").Tree, "setFocusKey">): void;
        saveSelectRef(ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/select").SelectProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, {
            selectAllYet: boolean;
            componentDidUpdate(prevProps: import("@alifd/next/types/select").SelectProps, prevState: import("@alifd/next/types/select/base").BaseState): void;
            componentDidMount(): void;
            ie9Hack(): void;
            useDetailValue(): boolean;
            hasSearch(): boolean;
            getTagSize(): "small" | "medium" | "large";
            handleMenuSelect(keys: string[], item: {
                props: {
                    _key: string;
                };
            }): false | void;
            handleItemClick(key: string): void;
            handleSingleSelect(key: string, triggerType: import("@alifd/next/types/select").VisibleChangeType): void;
            handleMultipleSelect(keys: import("@alifd/next/types/select").DataSourceItem[], triggerType: import("@alifd/next/types/select").VisibleChangeType, key?: string, keepSearchValue?: boolean): void;
            updateSelectAllYet(value?: unknown): void;
            handleSearchValue(value: string): void;
            handleSearch(value: string, e: import("react").ChangeEvent<HTMLInputElement>): void;
            handleSearchClear(triggerType?: string): void;
            handleSearchKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
            chooseMultipleItem(key: string): void;
            chooseHighlightItem(proxy: unknown, e: import("react").UIEvent<HTMLElement, UIEvent>): false;
            handleTagClose(item: import("@alifd/next/types/select").ObjectItem): boolean;
            handleDeleteTag(e: import("react").UIEvent<HTMLElement, UIEvent>): false;
            handleSelectAll(e: import("react").UIEvent<HTMLElement, UIEvent>): void;
            handleVisibleChange(visible: boolean, type: import("@alifd/next/types/select").VisibleChangeType): void;
            afterClose(): void;
            maxTagPlaceholder(selectedValues: import("@alifd/next/types/select").ObjectItem[], totalValues: import("@alifd/next/types/select").ObjectItem[]): string;
            renderValues(): import("react").ReactNode;
            handleWrapClick: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            handleArrowClick: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
            handleClear: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
            hasClear(): boolean;
            renderExtraNode(): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            renderSelect(): import("react").JSX.Element;
            renderSearchInput(valueNodes: import("react").ReactNode, placeholder: string, inputEl: ReactElement<any, string | import("react").JSXElementConstructor<any>>): import("react").JSX.Element;
            renderMenuHeader(): import("react").ReactNode;
            render(): import("react").JSX.Element;
            dataStore: import("@alifd/next/types/select/data-store").default;
            selectDOM: HTMLElement;
            width: string | number;
            popupRef: HTMLDivElement;
            resizeTimeout: number;
            highlightTimer: number;
            menuRef: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/menu").MenuProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/menu/view/menu").Menu>;
            isAutoComplete: boolean;
            inputRef: import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>;
            valueDataSource: {
                value?: string | number | boolean | (string | number | boolean)[];
                valueDS?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[];
                mapValueDS?: Record<string, import("@alifd/next/types/select").ObjectItem>;
            };
            componentWillUnmount(): void;
            syncWidth(): void;
            handleResize(): void;
            setDataSource(props: import("@alifd/next/types/select").SelectProps): import("@alifd/next/types/select/types").NormalizedObjectItem[];
            setVisible(visible: boolean, type?: import("@alifd/next/types/select").VisibleChangeType): void;
            setFirstHightLightKeyForMenu(searchValue?: unknown): void;
            handleChange(value: import("@alifd/next/types/select").DataSourceItem | import("@alifd/next/types/select").DataSourceItem[], args_0: unknown, args_1?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[]): void;
            handleMenuBodyClick(): void;
            toggleHighlightItem(dir: number): false | import("@alifd/next/types/select/types").NormalizedObjectItem;
            scrollMenuIntoView(): void;
            handleSelect(): void;
            handleMouseDown: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            renderMenu(): import("react").JSX.Element;
            renderMenuItem(dataSource: import("@alifd/next/types/select/types").NormalizedObjectItem[]): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            saveSelectRef: (ref: HTMLElement) => void;
            saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>> & Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">) => void;
            focusInput(): void;
            focus(start?: number, end?: number, preventScroll?: boolean): void;
            beforeOpen(): void;
            beforeClose(): void;
            savePopupRef: (ref: HTMLDivElement) => void;
            shouldAutoWidth(): boolean;
            context: any;
            setState<K_2 extends keyof import("@alifd/next/types/select/select").SelectState>(state: import("@alifd/next/types/select/select").SelectState | ((prevState: Readonly<import("@alifd/next/types/select/select").SelectState>, props: Readonly<import("@alifd/next/types/select").SelectProps>) => import("@alifd/next/types/select/select").SelectState | Pick<import("@alifd/next/types/select/select").SelectState, K_2>) | Pick<import("@alifd/next/types/select/select").SelectState, K_2>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/select").SelectProps> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<import("@alifd/next/types/select/select").SelectState>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): boolean;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/select").SelectProps>, prevState: Readonly<import("@alifd/next/types/select/select").SelectState>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
        }> & Pick<{
            selectAllYet: boolean;
            componentDidUpdate(prevProps: import("@alifd/next/types/select").SelectProps, prevState: import("@alifd/next/types/select/base").BaseState): void;
            componentDidMount(): void;
            ie9Hack(): void;
            useDetailValue(): boolean;
            hasSearch(): boolean;
            getTagSize(): "small" | "medium" | "large";
            handleMenuSelect(keys: string[], item: {
                props: {
                    _key: string;
                };
            }): false | void;
            handleItemClick(key: string): void;
            handleSingleSelect(key: string, triggerType: import("@alifd/next/types/select").VisibleChangeType): void;
            handleMultipleSelect(keys: import("@alifd/next/types/select").DataSourceItem[], triggerType: import("@alifd/next/types/select").VisibleChangeType, key?: string, keepSearchValue?: boolean): void;
            updateSelectAllYet(value?: unknown): void;
            handleSearchValue(value: string): void;
            handleSearch(value: string, e: import("react").ChangeEvent<HTMLInputElement>): void;
            handleSearchClear(triggerType?: string): void;
            handleSearchKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
            chooseMultipleItem(key: string): void;
            chooseHighlightItem(proxy: unknown, e: import("react").UIEvent<HTMLElement, UIEvent>): false;
            handleTagClose(item: import("@alifd/next/types/select").ObjectItem): boolean;
            handleDeleteTag(e: import("react").UIEvent<HTMLElement, UIEvent>): false;
            handleSelectAll(e: import("react").UIEvent<HTMLElement, UIEvent>): void;
            handleVisibleChange(visible: boolean, type: import("@alifd/next/types/select").VisibleChangeType): void;
            afterClose(): void;
            maxTagPlaceholder(selectedValues: import("@alifd/next/types/select").ObjectItem[], totalValues: import("@alifd/next/types/select").ObjectItem[]): string;
            renderValues(): import("react").ReactNode;
            handleWrapClick: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            handleArrowClick: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
            handleClear: (e: import("react").UIEvent<HTMLElement, UIEvent>) => void;
            hasClear(): boolean;
            renderExtraNode(): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            renderSelect(): import("react").JSX.Element;
            renderSearchInput(valueNodes: import("react").ReactNode, placeholder: string, inputEl: ReactElement<any, string | import("react").JSXElementConstructor<any>>): import("react").JSX.Element;
            renderMenuHeader(): import("react").ReactNode;
            render(): import("react").JSX.Element;
            dataStore: import("@alifd/next/types/select/data-store").default;
            selectDOM: HTMLElement;
            width: string | number;
            popupRef: HTMLDivElement;
            resizeTimeout: number;
            highlightTimer: number;
            menuRef: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/menu").MenuProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/menu/view/menu").Menu>;
            isAutoComplete: boolean;
            inputRef: import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>;
            valueDataSource: {
                value?: string | number | boolean | (string | number | boolean)[];
                valueDS?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[];
                mapValueDS?: Record<string, import("@alifd/next/types/select").ObjectItem>;
            };
            componentWillUnmount(): void;
            syncWidth(): void;
            handleResize(): void;
            setDataSource(props: import("@alifd/next/types/select").SelectProps): import("@alifd/next/types/select/types").NormalizedObjectItem[];
            setVisible(visible: boolean, type?: import("@alifd/next/types/select").VisibleChangeType): void;
            setFirstHightLightKeyForMenu(searchValue?: unknown): void;
            handleChange(value: import("@alifd/next/types/select").DataSourceItem | import("@alifd/next/types/select").DataSourceItem[], args_0: unknown, args_1?: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[]): void;
            handleMenuBodyClick(): void;
            toggleHighlightItem(dir: number): false | import("@alifd/next/types/select/types").NormalizedObjectItem;
            scrollMenuIntoView(): void;
            handleSelect(): void;
            handleMouseDown: (e: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
            renderMenu(): import("react").JSX.Element;
            renderMenuItem(dataSource: import("@alifd/next/types/select/types").NormalizedObjectItem[]): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
            saveSelectRef: (ref: HTMLElement) => void;
            saveInputRef: (ref: import("@alifd/next/types/config-provider/types").ConfiguredComponent<import("@alifd/next/types/input").InputProps & import("@alifd/next/types/config-provider/types").ComponentCommonProps, import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>> & Pick<import("@alifd/next/types/input/input").default<import("@alifd/next/types/input").InputProps>, "focus" | "getInputNode">) => void;
            focusInput(): void;
            focus(start?: number, end?: number, preventScroll?: boolean): void;
            beforeOpen(): void;
            beforeClose(): void;
            savePopupRef: (ref: HTMLDivElement) => void;
            shouldAutoWidth(): boolean;
            context: any;
            setState<K_3 extends keyof import("@alifd/next/types/select/select").SelectState>(state: import("@alifd/next/types/select/select").SelectState | ((prevState: Readonly<import("@alifd/next/types/select/select").SelectState>, props: Readonly<import("@alifd/next/types/select").SelectProps>) => import("@alifd/next/types/select/select").SelectState | Pick<import("@alifd/next/types/select/select").SelectState, K_3>) | Pick<import("@alifd/next/types/select/select").SelectState, K_3>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<import("@alifd/next/types/select").SelectProps> & Readonly<{
                children?: import("react").ReactNode;
            }>;
            state: Readonly<import("@alifd/next/types/select/select").SelectState>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): boolean;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/select").SelectProps>, prevState: Readonly<import("@alifd/next/types/select/select").SelectState>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/select").SelectProps>, nextState: Readonly<import("@alifd/next/types/select/select").SelectState>, nextContext: any): void;
        }, "focusInput" | "handleSearchClear">): void;
        handleVisibleChange(visible: boolean, type?: string): void;
        triggerOnChange(value: string | number | boolean | import("@alifd/next/types/select").DataSourceItem[] | import("@alifd/next/types/select").ObjectItem[], data: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[]): void;
        handleSelect(selectedKeys: string[], extra: {
            selected: boolean;
        }): void;
        handleCheck(checkedKeys: string[]): void;
        handleRemove(removedItem: import("@alifd/next/types/select").ObjectItem): void;
        handleSearch(searchedValue: string): void;
        handleSearchClear(triggerType: string): void;
        handleExpand(expandedKeys: string[]): void;
        handleKeyDown(e: import("react").KeyboardEvent<HTMLElement>): void;
        handleChange(value: import("@alifd/next/types/select").DataSourceItem | import("@alifd/next/types/select").DataSourceItem[], triggerType: string): void;
        searchNodes(children: import("react").ReactNode): React.ReactElement<import("@alifd/next/types/tree/types").NodeProps>[];
        createNodesByData(data: import("@alifd/next/types/tree-select/types").TreeSelectDataItem[], searching?: boolean): React.ReactElement<import("@alifd/next/types/tree/types").NodeProps>[];
        renderPopupContent(): import("react").JSX.Element;
        renderPreview(data: import("@alifd/next/types/select").ObjectItem | import("@alifd/next/types/select").ObjectItem[], others: Omit<Readonly<import("@alifd/next/types/tree-select").TreeSelectProps> & Readonly<{
            children?: import("react").ReactNode;
        }>, "value" | "visible" | "label" | "className" | "prefix" | "children" | "disabled" | "multiple" | "size" | "defaultValue" | "placeholder" | "readOnly" | "onChange" | "notFoundContent" | "maxTagPlaceholder" | "popupContainer" | "locale" | "pure" | "defaultVisible" | "onVisibleChange" | "followTrigger" | "popupStyle" | "popupClassName" | "popupProps" | "dataSource" | "hasBorder" | "autoWidth" | "useVirtual" | "immutable" | "isPreview" | "renderPreview" | "hasClear" | "filterLocal" | "hasArrow" | "showSearch" | "onSearch" | "onSearchClear" | "useDetailValue" | "valueRender" | "tagInline" | "treeCheckable" | "clickToCheck" | "preserveNonExistentValue" | "autoClearSearch" | "treeCheckStrictly" | "treeCheckedStrategy" | "treeDefaultExpandAll" | "treeDefaultExpandedKeys" | "treeLoadData" | "treeProps">): import("react").JSX.Element;
        renderMaxTagPlaceholder(value: import("@alifd/next/types/select").ObjectItem[], totalValue: import("@alifd/next/types/select").ObjectItem[]): import("react").ReactNode;
        render(): import("react").JSX.Element;
        context: any;
        setState<K_1 extends keyof import("@alifd/next/types/tree-select/types").TreeSelectState>(state: import("@alifd/next/types/tree-select/types").TreeSelectState | ((prevState: Readonly<import("@alifd/next/types/tree-select/types").TreeSelectState>, props: Readonly<import("@alifd/next/types/tree-select").TreeSelectProps>) => import("@alifd/next/types/tree-select/types").TreeSelectState | Pick<import("@alifd/next/types/tree-select/types").TreeSelectState, K_1>) | Pick<import("@alifd/next/types/tree-select/types").TreeSelectState, K_1>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<import("@alifd/next/types/tree-select").TreeSelectProps> & Readonly<{
            children?: import("react").ReactNode;
        }>;
        state: Readonly<import("@alifd/next/types/tree-select/types").TreeSelectState>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<import("@alifd/next/types/tree-select").TreeSelectProps>, nextState: Readonly<import("@alifd/next/types/tree-select/types").TreeSelectState>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<import("@alifd/next/types/tree-select").TreeSelectProps>, prevState: Readonly<import("@alifd/next/types/tree-select/types").TreeSelectState>): any;
        componentDidUpdate?(prevProps: Readonly<import("@alifd/next/types/tree-select").TreeSelectProps>, prevState: Readonly<import("@alifd/next/types/tree-select/types").TreeSelectState>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/tree-select").TreeSelectProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("@alifd/next/types/tree-select").TreeSelectProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/tree-select").TreeSelectProps>, nextState: Readonly<import("@alifd/next/types/tree-select/types").TreeSelectState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<import("@alifd/next/types/tree-select").TreeSelectProps>, nextState: Readonly<import("@alifd/next/types/tree-select/types").TreeSelectState>, nextContext: any): void;
    }, {}> & {
        Node: typeof import("@alifd/next/types/tree/view/tree-node").TreeNode;
    };
    Upload: typeof Upload;
    Divider: any;
    ContextMenu: ((props: {
        menus: IPublicTypeContextMenuAction[];
        children: React.ReactElement[] | React.ReactElement;
    }) => ReactElement) & {
        create(menus: IPublicTypeContextMenuAction[], event: MouseEvent | React.MouseEvent): void;
    };
    constructor(editor: IEditor);
    get Tip(): typeof InnerTip;
    get HelpTip(): typeof HelpTip;
    get Title(): typeof InnerTitle;
}
